# TODO:
# logrotate
#
Summary:	DLNA server software
Summary(pl.UTF-8):	Oprogramowanie serwerowe DLNA
Name:		minidlna
Version:	1.0.25
Release:	6
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/minidlna/%{name}_%{version}_src.tar.gz
# Source0-md5:	d966256baf2f9b068b9de871ab5dade5
Source1:	%{name}.init
Source2:	%{name}.service
Source3:	%{name}.tmpfiles
# https://gitorious.org/debian-pkg/minidlna/blobs/raw/master/debian/minidlna.1
Source4:	%{name}.1
# https://gitorious.org/debian-pkg/minidlna/blobs/raw/master/debian/minidlna.conf.5
Source5:	%{name}.conf.5
Patch0:		%{name}-ffmpeg10.patch
Patch1:		config.patch
URL:		http://sourceforge.net/projects/minidlna/
# libavcodec libavformat libavutil
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel
BuildRequires:	gettext-devel
BuildRequires:	libexif-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.5.1
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MiniDLNA (aka ReadyDLNA) is server software with the aim of being
fully compliant with DLNA/UPnP-AV clients.

%description -l pl.UTF-8
MiniDLNA (znane także jako ReadyDLNA) to oprogramowanie serwerowe,
którego celem jest pełna zgodność z klientami DLNA/UPnP-AV.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's#-g -O3#$(OPTFLAGS)#g' Makefile

# Verbose Makefile
sed -i 's/@$(CC)/$(CC)/' Makefile

%build
%{__make} -j1 \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_mandir}/man{1,5}} \
	$RPM_BUILD_ROOT{%{systemdtmpfilesdir},%{systemdunitdir}} \
	$RPM_BUILD_ROOT/var/{log,run,cache}/%{name}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -j1 install-conf \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{systemdunitdir}/%{name}.service
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

# Install man pages
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man1/
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man5/

for f in po/*.po ; do
	lang=$(basename $f .po)
	install -d $RPM_BUILD_ROOT%{_localedir}/${lang}/LC_MESSAGES
	msgfmt -v -o $RPM_BUILD_ROOT%{_localedir}/${lang}/LC_MESSAGES/minidlna.mo $f
done

%find_lang %{name}

%pre
%groupadd -g 284 minidlna
%useradd -u 284 -r -d / -s /bin/false -g minidlna minidlna

%post
/sbin/chkconfig --add %{name}
%systemd_post %{name}.service

%preun
if [ "$1" = "0" ]; then
        %service -q %{name} stop
        /sbin/chkconfig --del %{name}
fi
%systemd_preun %{name}.service

%postun
if [ "$1" = "0" ]; then
        %userremove minidlna
        %groupremove minidlna
fi
%systemd_reload

%triggerpostun -- %{name} < 1.0.25-3
%systemd_trigger %{name}.service

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENCE.miniupnpd NEWS README TODO
%attr(754,root,root) /etc/rc.d/init.d/minidlna
%attr(640,root,minidlna) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/minidlna.conf
%attr(755,root,root) %{_sbindir}/minidlna
%{systemdtmpfilesdir}/%{name}.conf
%{systemdunitdir}/%{name}.service
%dir %attr(755,minidlna,minidlna) /var/run/%{name}
%dir %attr(755,minidlna,minidlna) /var/cache/%{name}
%dir %attr(755,minidlna,minidlna) /var/log/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%changelog
* Sun Aug 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/minidlna.git;a=log;h=master

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> 62862c7
- rebuild with ffmpeg 2.0.1
- release 6 (by relup.sh)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 634d8b9
- release 5 (by relup.sh)

* Sun Nov 18 2012 Artur Frysiak <artur@frysiak.net> 8b8001e
- run as minidlna user
- systemd support
- drop libdlna-devel BR (not used)
- versioned sqlite3 BR

* Thu Nov 15 2012 Artur Frysiak <artur@frysiak.net> 01bb359
- Verbose make

* Thu Nov 15 2012 Artur Frysiak <artur@frysiak.net> 3cd6bb5
- Add man pages (from Debian)

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 752dace
- real pl
- install translations
- release 3

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9d6cd17
- parallel build is broken
- rel 2

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 8170ac4
- updated to 1.0.25
- fixed build with ffmpeg 1.0

* Thu Mar 01 2012 Grzesiek Pycia <gzohop@pld-linux.org> 157dd3c
- up to 1.0.24

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 50053b5
- rel 1; init script from Przemyslaw Plewa

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cf29a7
- up to 1.0.22

* Sat Jun 25 2011 areq <areq@pld-linux.org> ba1cba6
- raw PLD spec, TODO init script

